<template name="OrderValidation">
  <span class="order">
    <h2>Validation de la commande</h2>
    <h3>Mon adresse de livraison</h3>
    <p>
      <input id="search-address" placeholder="Veuillez entrer votre adresse ici" type="text" value="{{ order.address }}">
    </p>
    <div class="map-container">
      {{> googleMap name="map" options=mapOptions}}
    </div>
    {{> OrderDetail}}
    {{#if order.deliveryFeeSetAt}}
      <p class="actions">
        <span></span>
        <span></span>
        <button type="button" class="validate" data-action="validate-order">
          Valider
          <i class="fa fa-arrow-right"></i>
        </button>
      </p>
    {{/if}}
</span>
</template>

<template name="OrderPayment">
  <span class="order">
    <h2>Payement de la commande</h2>
    <h3>Mon adresse de livraison</h3>
    <p>
        {{ order.address }}
    </p>
    {{> OrderDetail}}
    {{#if order.validatedAt}}
      <h3>Méthode de payement</h3>
      {{#if order.paymentInformationSetAt}}
        <p>Vos informations de payement sont prises en charge.</p>
      {{else}}
        <p>
          <button type="button" class="pay-via-api" data-action="pay-via-api">Ogone</button>
          <button type="button" class="pay-via-api" data-action="pay-via-api">Paypal</button>
        </p>
      {{/if}}
    {{/if}}
    <p class="actions">
      <button type="button" class="back" data-action="invalidate-order">
        <i class="fa fa-arrow-left"></i>
        Validation
      </button>
      <span></span>
      {{#if order.paymentInformationSetAt}}
        <button type="button" class="pay" data-action="pay-order">
          Payer
          <i class="fa fa-arrow-right"></i>
        </button>
      {{else}}
        <span></span>
      {{/if}}
    </p>
  </span>
</template>

<template name="OrderDetail">
  {{#with order}}
    <h3>Mes articles</h3>
    <span class="order-articles">
      {{#each entries}}
        {{> OrderArticle}}
      {{/each}}
    </span>
    {{#if deliveryFee}}
      <p class="delivery-fee">Prix de la livraison : {{ deliveryFee }}€</p>
    {{/if}}
    <p class="total-price">Total : {{ totalPrice }}€</p>
  {{/with}}
</template>

<template name="OrderArticle">
  <p class="order-article">
    <span>
      <div class="order-article-image" style="background-image: url('{{ imageLink this }}')"></div>
    </span>
    <span class="order-article-name">
      <a href="{{ pathFor 'articlePermalink' _id }}">
        {{ name }}
      </a>
    </span>
    <span class="order-article-quantity">
      <div class="quantity">
        {{ quantity }}
      </div>
    </span>
    <span class="order-article-price">
      {{#if promotions.length}}
        <del>{{ formattedPrice price }}</del>
        <span class="article-discount">
          -{{ formattedPercentage discount }}
        </span>
        <br>
        {{ formattedPrice discountedPrice }}
      {{else}}
        {{ formattedPrice price }}
      {{/if}}
    </span>
    <span class="order-article-price-times-quantity">
      {{ priceTimesQuantity this }}
    </span>
  </p>
</template>

<template name="OrderConfirmation">
  <span class="order">
    <p>
      <i class="success fa fa-thumbs-o-up"></i>
    </p>
    <h2>Transaction réussie</h2>
    <h3>Nous vous remercions pour votre commande !</h3>
    <p>Le payement de votre commande à bien été pris en compte.</p>
  </span>
</template>
